@testset "FACT_data_API_reader FACT_jobs test" begin
    df1 = get_geo_objects("nm_counties")
    resize!(df1, 3)
    year = 2018
    agg_lvl = 2
    selection_dict = Dict(
        "year" => year,
        "geo_id" => df1[!, :geo_id],
        "agg_level" => agg_lvl
    )
    # TEST of LODES
    df_lodes = get_annual_jobs("us_lodes", selection_dict)
    # Test if the result is a DataFrame
    @test df_lodes isa DataFrame
    # Test for expected number of rows/columns
    @test size(df_lodes, 1) == 60
    @test size(df_lodes, 2) == 4
    # TEST of QCEW
    df_qcew = get_annual_jobs("us_qcew", selection_dict)
    # Test if the result is a DataFrame
    @test df_qcew isa DataFrame
    # Test for expected number of rows/columns
    @test size(df_qcew, 1) == 57
    @test size(df_qcew, 2) == 4
    
end
