@testset "FACT_data_API_reader FACT_population test" begin
    df1 = get_geo_objects("nm_blocks")
    resize!(df1, 5)
    year = 2020
    selection_dict = Dict(
        "year" => year,
        "geo_id" => df1[!, :geo_id]
    )
    # TEST of blocks
    df_blocks = get_annual_population("us_block", selection_dict)
    # Test if the result is a DataFrame
    @test df_blocks isa DataFrame
    # Test for expected number of rows/columns
    @test size(df_blocks, 1) == 5
    @test size(df_blocks, 2) == 2
    # TEST of counties
    df2 = get_geo_objects("nm_counties")
    selection_dict2 = Dict(
        "year" => year,
        "geo_id" => df2[!, :geo_id]
    )
    df_counties = get_annual_population("us_county", selection_dict2)
    # Test if the result is a DataFrame
    @test df_counties isa DataFrame
    # Test for expected number of rows/columns
    @test size(df_counties, 1) == 33
    @test size(df_counties, 2) == 2
end
