@testset "FACT_data_API_reader FACT_jobs test" begin
    df1 = get_geo_objects("no_counties")
    resize!(df1, 3)
    year = 2018
    agg_lvl = 2
    selection_dict = Dict(
        "year" => year,
        "geo_id" => df1[!, :geo_id],
        "agg_level" => agg_lvl
    )
    # TEST of REA
    df_rea = get_annual_jobs("eu_rea", selection_dict)
    # Test if the result is a DataFrame
    @test df_rea isa DataFrame
    # Test for expected number of rows/columns
    @test size(df_rea, 1) == 39
    @test size(df_rea, 2) == 4
    # TEST of LFS
    selection_dict_NO = Dict(
        "year" => year,
        "geo_id" => ["NO"]
    )
    df_lfs = get_annual_jobs("eu_lfs", selection_dict_NO)
    # Test if the result is a DataFrame
    @test df_lfs isa DataFrame
    # Test for expected number of rows/columns
    @test size(df_lfs, 1) == 85
    @test size(df_lfs, 2) == 4
    # TEST of SBS
    selection_dict_NO_21 = Dict(
        "year" => 2021,
        "geo_id" => ["NO"]
    )
    df_sbs = get_annual_jobs("eu_sbs", selection_dict_NO_21)
    # Test if the result is a DataFrame
    @test df_lfs isa DataFrame
    # Test for expected number of rows/columns
    @test size(df_lfs, 1) == 85
    @test size(df_lfs, 2) == 4
end
