@testset "FACT_data_API_reader FACT_population test" begin
    df1 = get_geo_objects("no_lau")
    year = 2011
    selection_dict = Dict(
        "year" => year,
        "geo_id" => df1[!, :geo_id]
    )
    # TEST of lau
    df_lau = get_annual_population("eu_lau", selection_dict)
    # Test if the result is a DataFrame
    @test df_lau isa DataFrame
    # Test for expected number of rows/columns
    @test size(df_lau, 1) == 83
    @test size(df_lau, 2) == 2
    # TEST of NUTS
    selection_dict2 = Dict(
        "year" => 2020,
        "geo_id" => ["NO"]
    )
    df_nuts = get_annual_population("eu_nuts", selection_dict2)
    # Test if the result is a DataFrame
    @test df_nuts isa DataFrame
    # Test for expected number of rows/columns
    @test size(df_nuts, 1) == 22
    @test size(df_nuts, 2) == 2
end
